Package ghidra.util.table.field

# Class FunctionBodySizeTableColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.field.AbstractProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE>
ghidra.util.table.field.ProgramBasedDynamicTableColumnExtensionPoint<Function,Integer>
ghidra.util.table.field.FunctionBodySizeTableColumn

All Implemented Interfaces:
  `DynamicTableColumn<Function,Integer,Program>`, `ExtensionPoint`

public class FunctionBodySizeTableColumn extends ProgramBasedDynamicTableColumnExtensionPoint<Function,Integer>

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionBodySizeTableColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `GColumnRenderer<Integer>`
  `getColumnRenderer()`
  Returns the optional cell renderer for this column; null if no renderer is used.
  `Integer`
  `getValue(Function rowObject, Settings settings, Program program, ServiceProvider serviceProvider)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnPreferredWidth, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionBodySizeTableColumn

    public FunctionBodySizeTableColumn()

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<Function,Integer,Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<Function,Integer,Program>`
    Returns:
      the field instance name.

  - ### getValue

    public Integer getValue(Function rowObject, Settings settings, Program program, ServiceProvider serviceProvider) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<Function,Integer,Program>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<Function,Integer,Program>`
    Parameters:
      `rowObject` - the object associated with the row in the table.
      `settings` - field settings
      `program` - the expected data object, as defined by the DATA_SOURCE type
      `serviceProvider` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.

  - ### getColumnRenderer

    public GColumnRenderer<Integer> getColumnRenderer()
    Description copied from interface: `DynamicTableColumn`
    Returns the optional cell renderer for this column; null if no renderer is used.

    This method allows columns to define custom rendering. The interface returned here ensures that the text used for filtering matches what the users sees (via the `GColumnRenderer.getFilterString(Object, Settings)` method).

    Note: some types should not make use of the aforementioned filter string. These types include the `Number` wrapper types, `Date` and `Enum`s. (This is because the filtering system works naturally with these types.) See `GColumnRenderer`.

    Specified by:
      `getColumnRenderer` in interface `DynamicTableColumn<Function,Integer,Program>`
    Overrides:
      `getColumnRenderer` in class `AbstractDynamicTableColumn<Function,Integer,Program>`
    Returns:
      the renderer